Bug 1464048 (CVE-2017-9616) - CVE-2017-9616 wireshark: Overly deep mp4 chunks may cause stack exhaustion
Summary: CVE-2017-9616 wireshark: Overly deep mp4 chunks may cause stack exhaustion
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-9616
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1464052
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-22 10:40 UTC by Andrej Nemec
Modified: 2019-09-29 14:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:15:32 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-06-22 10:40:13 UTC
In Wireshark 2.2.7, overly deep mp4 chunks may cause stack exhaustion (uncontrolled recursion) in the dissect_mp4_box function in epan/dissectors/file-mp4.c.

Upstream issue:

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=13777

Comment 1 Andrej Nemec 2017-06-22 10:45:12 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1464052]


Note You need to log in before you can comment on or make changes to this bug.